Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.tok
Class InvalidTokenException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              convert.xml.tok.TokenException
                  convert.xml.tok.InvalidTokenException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidTokenException

extends TokenException

Thrown to indicate that the byte subarray being tokenized does not start with a legal XML token and cannot start one if more bytes are added.

See Also:
  Serialized Form

Field Summary
`static byte` | `DUPLICATE_ATTRIBUTE` A duplicate attribute was specified.
`static byte` | `ILLEGAL_CHAR` The character or byte at the specified offset is not allowed at that point.
`static byte` | `XML_TARGET` The target of a processing instruction was XML.

Method Summary
`int` | `getOffset()` Returns the offset after the longest initial subarray which could start a legal XML token.
`byte` | `getType()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ILLEGAL_CHAR

    public static final byte ILLEGAL_CHAR

  The character or byte at the specified offset is not allowed at that point.

  See Also:
    Constant Field Values

### XML_TARGET

    public static final byte XML_TARGET

  The target of a processing instruction was XML.

  See Also:
    Constant Field Values

### DUPLICATE_ATTRIBUTE

    public static final byte DUPLICATE_ATTRIBUTE

  A duplicate attribute was specified.

  See Also:
    Constant Field Values

Method Detail

### getOffset

    public final int getOffset()

  Returns the offset after the longest initial subarray which could start a legal XML token.

### getType

    public final byte getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD